import React from 'react';
export interface ITextButtonItem {
    /**
     * Defines the text button label
     */
    label: string;
    /**
     * Defines if only the icon renders
     */
    isOnlyIcon?: boolean;
    /**
     * Defines the type of the icon
     */
    iconType?: string;
}
export interface ITextButtonGroupProps extends Omit<React.ComponentPropsWithoutRef<'div'>, 'onSelect'> {
    /**
     * Defines the disable states of the icons
     */
    disabled?: number[];
    /**
     * Defines the no of items in the button group
     */
    items: ITextButtonItem[];
    /**
     * Defines selected appearance of a particular item
     */
    selected: number;
    /**
     * Defines the callback to handle selected item
     */
    onSelect: (selected: number) => void;
}
export declare function TextButtonGroup({ className, disabled, items, onSelect, selected, }: ITextButtonGroupProps): JSX.Element;
//# sourceMappingURL=TextButtonGroup.d.ts.map