import React from 'react';
export interface ICheckboxProps extends Omit<React.ComponentPropsWithoutRef<'input'>, 'onChange'> {
    /**
     * Defines the checked state of the checkbox
     */
    checked: boolean;
    /**
     * Defines the intermediate state of the checkbox checked state
     */
    partial?: boolean;
    /**
     * Defines the Checkbox container layout
     */
    groupClassName?: string;
    /**
     * Defines teh Checkbox appearnace if error
     */
    isError?: boolean;
    /**
     * Defines the Checkbox label
     */
    label?: React.ReactNode;
    /**
     * Defines the Checkbox label props
     * see Label component props
     */
    labelProps?: any;
    /**
     * Defines the change event on checkbox
     */
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    /**
     * Defines the size of the checkbox
     */
    size?: number;
}
declare const Checkbox: React.ForwardRefExoticComponent<ICheckboxProps & React.RefAttributes<HTMLInputElement>>;
export default Checkbox;
//# sourceMappingURL=Checkbox.d.ts.map