/// <reference types="react" />
import { IClassNameProps, INote } from '../../@types';
import { IPrioritySelectorProps } from '../priority-selector/PrioritySelector';
import { ITextareaProps } from '../textarea/Textarea';
import { IButtonProps } from '../elements/button/types';
export interface IAddNoteProps extends IClassNameProps {
    /**
     * Defines cancel button props
     */
    cancelButtonProps?: IButtonProps;
    /**
     * Defines note object
     */
    note?: INote;
    /**
     * Defines cancel button click event
     */
    onCancel?: () => void;
    /**
     * Defines submit button click event
     */
    onSubmit: (note: INote) => void;
    /**
     * Defines Priority Selector component props
     */
    prioritySelectorProps?: Partial<IPrioritySelectorProps>;
    /**
     * Defines to show or hide cancel button
     */
    showCancel?: boolean;
    /**
     * Defines submit button props
     */
    submitButtonProps?: IButtonProps;
    /**
     * Defines textarea component props
     */
    textareaProps?: Partial<ITextareaProps>;
}
export declare function AddNotes({ cancelButtonProps, className, note, onCancel, onSubmit, prioritySelectorProps, showCancel, submitButtonProps, textareaProps, ...other }: IAddNoteProps): JSX.Element;
//# sourceMappingURL=AddNotes.d.ts.map