/// <reference types="react" />
import { IClassNameProps } from '../../@types';
export interface IProgressBarProps extends IClassNameProps {
    /**
     * Defines display string on right side
     */
    displayValue?: string;
    /**
     * Defines display value element class
     */
    displayValueClass?: string;
    /**
     * Defines progress bar height class
     */
    height?: string;
    /**
     * Defines progress bar indicator color class
     */
    indicatorColor?: string;
    /**
     * Defines label to display on left side
     */
    label?: string;
    /**
     * Defines label element class
     */
    labelClass?: string;
    /**
     * Defines whether to round the corners
     */
    rounded?: boolean;
    /**
     * Defines whether to show percentage or displayLabel.
     */
    showPercentage?: boolean;
    /**
     * Defines total value. Default is 100
     */
    total?: number;
    /**
     * Defines track color class
     */
    trackColor?: string;
    /**
     * Defines value to calculate the precentage.
     */
    value: number;
}
export declare function ProgressBar({ className, displayValue, displayValueClass, height, indicatorColor, label, labelClass, rounded, showPercentage, total, trackColor, value, }: IProgressBarProps): JSX.Element;
//# sourceMappingURL=ProgressBar.d.ts.map